View Issue Details

IDProjectCategoryLast Update
0019971AI War 2[All Projects] Graphical BugSep 23, 2018 8:13 pm
ReporterHeartHunter7Assigned Tox4000Bughunter 
Severitymajor 
Status resolvedResolutionfixed 
Product Version0.759-0.760 Only The Start of Discovery 
Fixed in Version0.774 Five Thousand Days 
Summary0019971: Animations of lasers.
DescriptionI see different weapon animations and some of them bugged or something.

I mean those grafic effects:

1)Yellow long line, which accelerates, when almost get the enemy ship.
2)Most attacks seems like yellow laser in my computer, but rockets too.
3)Yellow laser with void inside, that seems like not enough pixels?

But blue laser and rockets from this type of ships on the screenshots 5 and 6, seems right and well on my computer.
TagsNo tags attached.

Relationships

related to 0019404 resolvedx4000Bughunter Implement all remaining shot visuals. 
related to 0019582 resolvedx4000Bughunter Some Visuals work for shots (and misc) 

Activities

HeartHunter7

Aug 25, 2018 3:14 pm

reporter  

20180825220159_1.jpg (393,813 bytes)
20180825221316_1.jpg (368,602 bytes)
20180825220703_1.jpg (375,589 bytes)
20180825215842_1.jpg (409,639 bytes)
20180825215608_1.jpg (396,905 bytes)
20180825155311_1.jpg (314,031 bytes)

HeartHunter7

Aug 25, 2018 3:30 pm

reporter   ~0048324

4)units getting damage before real animations of bullet will touch ship. And start animation of shoot by ship is starting far away from ship.

BadgerBadger

Aug 25, 2018 6:23 pm

manager   ~0048327

I still consistently see icons being used as weapon animations (ie so the icons of my units will appear to shoot across the map and hit enemy ships)

x4000Bughunter

Aug 27, 2018 10:36 am

administrator   ~0048363

For the icons as weapon animations, which icons are those?

Ovalcircle

Aug 27, 2018 11:06 am

reporter   ~0048364

I'll answer since I see this as well.The icons of the ships themselves. If you get a bunch of ships and send them through a wormhole, there is a chance that you will see your ship icons fly across the screen when the appear on the other side. It goes away after a few seconds.

RocketAssistedPuffin

Aug 27, 2018 11:15 am

developer   ~0048366

To add to that, when I build turrets for instance sometimes they'll appear to be flying through the planet as well. I think...they fly to the center of the grav well. When I had severely bad simulation speed due to performance, looking at planets would cause everything on them to go flying as well, including a Command Station.

x4000Bughunter

Aug 27, 2018 11:24 am

administrator   ~0048368

Okay, cool -- I know what that is, then. Thanks!

x4000Bughunter

Aug 27, 2018 1:56 pm

administrator   ~0048376

Thanks!

* Put in a fix that definitely prevents the sudden migration of wormholes when you swap between planets, and which might prevent the same with turrets and similar immobile ships.
** However, if you still see ship icons moving unexpectedly around, a savegame and repro case would be very welcome.

x4000Bughunter

Sep 23, 2018 8:13 pm

administrator   ~0049413

Done.

Issue History

Date Modified Username Field Change
Aug 25, 2018 3:14 pm HeartHunter7 New Issue
Aug 25, 2018 3:14 pm HeartHunter7 File Added: 20180825155311_1.jpg
Aug 25, 2018 3:14 pm HeartHunter7 File Added: 20180825215608_1.jpg
Aug 25, 2018 3:14 pm HeartHunter7 File Added: 20180825215842_1.jpg
Aug 25, 2018 3:14 pm HeartHunter7 File Added: 20180825220703_1.jpg
Aug 25, 2018 3:14 pm HeartHunter7 File Added: 20180825220159_1.jpg
Aug 25, 2018 3:14 pm HeartHunter7 File Added: 20180825221316_1.jpg
Aug 25, 2018 3:30 pm HeartHunter7 Note Added: 0048324
Aug 25, 2018 6:23 pm BadgerBadger Note Added: 0048327
Aug 27, 2018 10:36 am x4000Bughunter Note Added: 0048363
Aug 27, 2018 11:06 am Ovalcircle Note Added: 0048364
Aug 27, 2018 11:15 am RocketAssistedPuffin Note Added: 0048366
Aug 27, 2018 11:24 am x4000Bughunter Note Added: 0048368
Aug 27, 2018 1:56 pm x4000Bughunter Note Added: 0048376
Sep 5, 2018 8:37 pm x4000Bughunter Assigned To => x4000Bughunter
Sep 5, 2018 8:37 pm x4000Bughunter Status new => assigned
Sep 6, 2018 10:13 am x4000Bughunter Relationship added related to 0019404
Sep 6, 2018 10:13 am x4000Bughunter Relationship added related to 0019582
Sep 23, 2018 8:13 pm x4000Bughunter Status assigned => resolved
Sep 23, 2018 8:13 pm x4000Bughunter Resolution open => fixed
Sep 23, 2018 8:13 pm x4000Bughunter Fixed in Version => 0.774 Five Thousand Days
Sep 23, 2018 8:13 pm x4000Bughunter Note Added: 0049413